VkAttachmentDescription Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkAttachmentDescriptionFlags | flags
VkFormat | format
VkSampleCountFlagBits | samples
VkAttachmentLoadOp | loadOp
VkAttachmentStoreOp | storeOp
VkAttachmentLoadOp | stencilLoadOp
VkAttachmentStoreOp | stencilStoreOp
VkImageLayout | initialLayout
VkImageLayout | finalLayout

## Detailed Description

Definition at line 2618 of file vulkan_core.h.

## Field Documentation

## finalLayout

VkImageLayout VkAttachmentDescription::finalLayout

Definition at line 2627 of file vulkan_core.h.

## flags

VkAttachmentDescriptionFlags VkAttachmentDescription::flags

Definition at line 2619 of file vulkan_core.h.

## format

VkFormat VkAttachmentDescription::format

Definition at line 2620 of file vulkan_core.h.

## initialLayout

VkImageLayout VkAttachmentDescription::initialLayout

Definition at line 2626 of file vulkan_core.h.

## loadOp

VkAttachmentLoadOp VkAttachmentDescription::loadOp

Definition at line 2622 of file vulkan_core.h.

## samples

VkSampleCountFlagBits VkAttachmentDescription::samples

Definition at line 2621 of file vulkan_core.h.

## stencilLoadOp

VkAttachmentLoadOp VkAttachmentDescription::stencilLoadOp

Definition at line 2624 of file vulkan_core.h.

## stencilStoreOp

VkAttachmentStoreOp VkAttachmentDescription::stencilStoreOp

Definition at line 2625 of file vulkan_core.h.

## storeOp

VkAttachmentStoreOp VkAttachmentDescription::storeOp

Definition at line 2623 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h